<div class="basic-game" [ngClass]="gameService.table?.subject.name" >
<div *ngIf="isHelp" class="lightbox">
  <brz-get-help></brz-get-help>
</div>
  <brz-game-getstarted (clickPlay)="startGame()" *ngIf="gameService.isNew()" class="intro-screen">
  </brz-game-getstarted>
  <div *ngIf="gameService.isInPlay()">
    <div class="header subject-background">
      <span>
      <img [src]="images.miniSymbol"/>
      <span>Question {{gameService.game.currQuestionIndex}}</span>
      <span class="u-inline-block" style="width:50px"></span><!--To center the text. size of img-->
      </span>
      <!-- Question {{gameService.game.}} / {{ gameService.game.currentQuestionIndex + gameService.game.questions.length}} -->
      <!--<img class="get-help-btn" (click)="getHelp()" [src]="images.game + 'help.svg'" height="50"/>-->
    </div>
    <brz-simple-question [question]="gameService.game?.currQuestion" (answered)="answered($event)" [ngStyle]="{'color': table?.subject.color}"></brz-simple-question>
    <div class ="results">
      <!-- <span *ngFor="let res of gameService.game.result.answers; index as index" class="circle" [ngClass]="res.getSolutionClassName()">
        <span >{{index + 1}}</span> <!-- Should test this because of coupling to enum 
      </span> -->
    </div>
  </div>
  <div *ngIf="gameService.hasEnded()">
    <brz-game-end [game]="gameService.game"></brz-game-end>
  </div>
</div>